 /* This program is free software. It comes without any warranty, to
 * the extent permitted by applicable law. You can redistribute it
 * and/or modify it under the terms of the Do What The Fuck You Want
 * To Public License, Version 2, as published by Sam Hocevar. See
 * http://sam.zoy.org/wtfpl/COPYING for more details. */

// Functions
FILE *OpenSongList(HWND hDlg, HINSTANCE hInstance, char *songlistName);
int parseStruct(HWND hDlg, FILE *qbFile, int sectionId, int action, QBReturnInfo *qbInfo);
void getString(char *buffer, FILE *qbFile);
QBReturnInfo *ParseQB(HWND hDlg, FILE *qbFile);
void makeListbox(HWND hDlg, QBReturnInfo *qbInfo);
void getSelectionData(HWND hDlg, QBReturnInfo *qbInfo);
int FreeQbInfo(QBReturnInfo *qbInfo);
int WishToSave(HWND hDlg, QBReturnInfo *qbInfo, BOOL modifiedFile);

// Quick error box
#define BOX(X) MessageBox(hDlg, X, NULL, MB_OK | MB_ICONERROR)
